package com.bocloud.cmp.provider.azure.slb;

import com.bocloud.cmp.model.azure.slb.LoadBalanceRuleModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @ClassName: LoadBalanceRuleProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/10/15 14:32
 */
public interface LoadBalanceRuleProvider extends SuperProvider {


    default BocloudResult create(LoadBalanceRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(LoadBalanceRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(LoadBalanceRuleModel model) {
        return new BocloudResult(false, "need implement");
    }


}